This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 72433 - circles for password dialog not working
circles for password dialog not working
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gdm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-23 14:46 EDT by Havoc Pennington
Modified: 2007-04-18 12:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-25 16:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2002-08-23 14:46:21 EDT
Our default install doesn't seem to guarantee we have the circle glyph,
resulting in the little unknown glyph squares.
Comment 1 Petri T. Koistinen 2002-08-24 20:38:17 EDT
I think you should not show on screen how many characters user's password has,
if that is what you are looking for. Just white blank space without (visible)
cursor moving when password is typed, please.
Comment 2 Havoc Pennington 2002-08-24 22:33:13 EDT
Standard practice is to show the number of chars typed, otherwise people can't
effectively use backspace and think the keyboard isn't working. The mild
additional security risk is worth it.
Comment 3 Petri T. Koistinen 2002-08-25 12:27:22 EDT
I disagree. Unix logins has been working without showing password length for
years. I belive people understand this. BTW, what people are you refering to?
New users with Windows backgroud perhaps? And which standard says so, real or
some de-facto (= Windows)?

If you don't change it, I would appreciate if you made this optional i.e. I
could turn off the printing of those characters.
Comment 4 Petri T. Koistinen 2002-08-25 12:32:07 EDT
And comment to initial comment: Those "unknown glyph squares" with Finnish
locale look like this ASCII art:

|-----|
| 2 5 |
| C F |
|-----|

Perhaps that is the keycode, character number...
Comment 5 Havoc Pennington 2002-08-25 12:58:56 EDT
0x25cf is the Unicode circle character. But the font doesn't contain it so we 
get the boxes.
Comment 6 Havoc Pennington 2002-08-25 13:43:52 EDT
2.5.0.7-5 disables the circle thing again.

For adding the no-indicator-at-all config option, I wouldn't do it myself, but
in any case the right place to add config options is upstream on gnome.org - 
if we add Red Hat specific config option, it may not be supported in future
releases, which is a problem. http://bugzilla.gnome.org is the place to file 
gnome.org RFEs.
Comment 7 Petri T. Koistinen 2002-08-25 15:52:19 EDT
Stupid question: Is "circle thing" enabled in editable run-time configuration
file or is it compile-time option (which can not be changed without recompiling
gdm)?

If it's editable in configuration file, we don't need bother GNOME people.
If it's compile-time option then I will bother them.
Comment 8 Havoc Pennington 2002-08-25 16:15:53 EDT
Circles vs. asterisks is configurable in a config file. I don't think there's a
"nothing" option though.
Comment 9 Petri T. Koistinen 2002-08-25 16:20:14 EDT
So gdm version 2.5.0.7-5 shows asterisks instead of circles?
Comment 10 Havoc Pennington 2002-08-25 16:46:07 EDT
yes.
Comment 11 Jay Turner 2002-09-03 10:41:42 EDT
Latest version of gdm in a composed tree is gdm-2.4.0-7-10, which does indeed
show asterisks for the password characters.  Closing this out.

Note You need to log in before you can comment on or make changes to this bug.